Loading...
Searching...
No Matches
Node type format hints
Trees » Data Tree
Collaboration diagram for Node type format hints:

## Macros

#define | LYD_NODEHINT_CONTAINER 0x0200
#define | LYD_NODEHINT_LEAFLIST 0x0100
#define | LYD_NODEHINT_LIST 0x0080

## Detailed Description

lydvalhints

Hints for the type of the data node.

Any information about node types encoded in the format is hinted by these values.

## Macro Definition Documentation

## LYD_NODEHINT_CONTAINER

#define LYD_NODEHINT_CONTAINER 0x0200

node is allowed to be a container instance

Definition at line 955 of file tree_data.h.

## LYD_NODEHINT_LEAFLIST

#define LYD_NODEHINT_LEAFLIST 0x0100

node is allowed to be a leaf-list instance

Definition at line 954 of file tree_data.h.

## LYD_NODEHINT_LIST

#define LYD_NODEHINT_LIST 0x0080

node is allowed to be a list instance

Definition at line 953 of file tree_data.h.